# roadveh.h File Reference

Road vehicle states. More...

`#include "vehicle_base.h"`
`#include "engine.h"`
`#include "economy_func.h"`

Go to the source code of this file.

## Data Structures

struct | RoadVehicle
| This class 'wraps' Vehicle; you do not actually instantiate this class. More...

## Enumerations

enum | RoadVehicleSubType { RVST_FRONT, RVST_ARTIC_PART }

## Functions

static bool | IsRoadVehFront (const Vehicle *v)
static void | SetRoadVehFront (Vehicle *v)
static bool | IsRoadVehArticPart (const Vehicle *v)
static void | SetRoadVehArticPart (Vehicle *v)
static bool | RoadVehHasArticPart (const Vehicle *v)
void | CcBuildRoadVeh (bool success, TileIndex tile, uint32 p1, uint32 p2)
byte | GetRoadVehLength (const Vehicle *v)
void | RoadVehUpdateCache (Vehicle *v)

## Detailed Description

Road vehicle states.

Definition in file roadveh.h.